Page MenuHomePhabricator

[libFuzzer] Deflake entropic exec-time test.
ClosedPublic

Authored by dokyungs on Nov 9 2021, 11:50 PM.

Details

Summary

Entropic scheduling with exec-time option can be misled, if inputs
on the right path to become crashing inputs accidentally take more
time to execute before it's added to the corpus. This patch, by letting
more of such inputs added to the corpus (four inputs of size 7 to 10,
instead of a single input of size 2), reduces possibilities of being
influenced by timing flakiness.

A longer-term fix could be to reduce timing flakiness in the fuzzer;
one way could be to execute inputs multiple times and take average of
their execution time before they are added to the corpus.

Diff Detail

Event Timeline

dokyungs requested review of this revision.Nov 9 2021, 11:50 PM
dokyungs created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptNov 9 2021, 11:50 PM
Herald added a subscriber: Restricted Project. · View Herald Transcript
morehouse accepted this revision.Nov 10 2021, 7:18 AM

Thanks DK

This revision is now accepted and ready to land.Nov 10 2021, 7:18 AM
This revision was landed with ongoing or failed builds.Nov 10 2021, 7:43 AM
This revision was automatically updated to reflect the committed changes.
fhahn added a subscriber: fhahn.Dec 2 2021, 7:45 AM

Unfortunately it seems like this test still fails quite frequently., in particular for some of the sanitizer bots :(